Skip to main content

Outreach full reference

This is the full reference documentation for the Outreach agent connector.

Supported entities and actions​

The Outreach connector supports the following entities and actions.

EntityActions
ProspectsList, Get, Context Store Search, Context Store SQL Query
AccountsList, Get, Context Store Search, Context Store SQL Query
SequencesList, Get, Context Store Search, Context Store SQL Query
Sequence StatesList, Get, Context Store Search, Context Store SQL Query
Sequence StepsList, Get, Context Store Search, Context Store SQL Query
OpportunitiesList, Get, Context Store Search, Context Store SQL Query
CallsList, Get, Context Store Search, Context Store SQL Query
Call DispositionsList, Get, Context Store Search, Context Store SQL Query
Call PurposesList, Get, Context Store Search, Context Store SQL Query
MailingsList, Get, Context Store Search, Context Store SQL Query
MailboxesList, Get, Context Store Search, Context Store SQL Query
TasksList, Get, Context Store Search, Context Store SQL Query
UsersList, Get, Context Store Search, Context Store SQL Query
StagesList, Get, Context Store Search, Context Store SQL Query
PersonasList, Get, Context Store Search, Context Store SQL Query
TemplatesList, Get, Context Store Search, Context Store SQL Query
SnippetsList, Get, Context Store Search, Context Store SQL Query

Prospects​

Prospects List​

Returns a paginated list of prospects (contacts) in Outreach

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "prospects",
"action": "list"
}'

Python SDK​

await outreach.prospects.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "prospects",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Prospects Get​

Get a single prospect by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "prospects",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.prospects.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "prospects",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesProspect ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter prospects records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "prospects",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"account": []
}
}
}
}
}'

Python SDK​

await outreach.prospects.context_store_search(
query={"filter": {"eq": {"account": []}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "prospects",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"account": []}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
accountarrayAccount
accountNamestringAccount name
activeSequenceStatesarrayActive sequence states
addedAtstringAdded at
addressCitystringAddress city
addressCountrystringAddress country
addressStatestringAddress state
addressStreetstringAddress street
addressStreet2stringAddress street2
addressZipstringAddress zip
angelListUrlstringAngel list url
assignedTeamsarrayAssigned teams
assignedUsersarrayAssigned users
availableAtstringAvailable at
batchesarrayBatches
callOptedOutbooleanCall opted out
callsarrayCalls
callsOptStatusstringCalls opt status
callsOptedAtstringCalls opted at
campaignNamestringCampaign name
clickCountintegerClick count
companystringCompany
companyFollowersintegerCompany followers
companyFoundedAtstringCompany founded at
companyIndustrystringCompany industry
companyLinkedInstringCompany linked in
companyLinkedInEmployeesstringCompany linked in employees
companyLocalitystringCompany locality
companyNaturalstringCompany natural
companySizeintegerCompany size
companyStartDatestringCompany start date
companyTypestringCompany type
contactHistogramarrayContact histogram
createdAtstringCreated at
creatorarrayCreator
custom1stringCustom field 1
custom10stringCustom field 10
custom100stringCustom field 100
custom101stringCustom field 101
custom102stringCustom field 102
custom103stringCustom field 103
custom104stringCustom field 104
custom105stringCustom field 105
custom106stringCustom field 106
custom107stringCustom field 107
custom108stringCustom field 108
custom109stringCustom field 109
custom11stringCustom field 11
custom110stringCustom field 110
custom111stringCustom field 111
custom112stringCustom field 112
custom113stringCustom field 113
custom114stringCustom field 114
custom115stringCustom field 115
custom116stringCustom field 116
custom117stringCustom field 117
custom118stringCustom field 118
custom119stringCustom field 119
custom12stringCustom field 12
custom120stringCustom field 120
custom121stringCustom field 121
custom122stringCustom field 122
custom123stringCustom field 123
custom124stringCustom field 124
custom125stringCustom field 125
custom126stringCustom field 126
custom127stringCustom field 127
custom128stringCustom field 128
custom129stringCustom field 129
custom13stringCustom field 13
custom130stringCustom field 130
custom131stringCustom field 131
custom132stringCustom field 132
custom133stringCustom field 133
custom134stringCustom field 134
custom135stringCustom field 135
custom136stringCustom field 136
custom137stringCustom field 137
custom138stringCustom field 138
custom139stringCustom field 139
custom14stringCustom field 14
custom140stringCustom field 140
custom141stringCustom field 141
custom142stringCustom field 142
custom143stringCustom field 143
custom144stringCustom field 144
custom145stringCustom field 145
custom146stringCustom field 146
custom147stringCustom field 147
custom148stringCustom field 148
custom149stringCustom field 149
custom15stringCustom field 15
custom150stringCustom field 150
custom16stringCustom field 16
custom17stringCustom field 17
custom18stringCustom field 18
custom19stringCustom field 19
custom2stringCustom field 2
custom20stringCustom field 20
custom21stringCustom field 21
custom22stringCustom field 22
custom23stringCustom field 23
custom24stringCustom field 24
custom25stringCustom field 25
custom26stringCustom field 26
custom27stringCustom field 27
custom28stringCustom field 28
custom29stringCustom field 29
custom3stringCustom field 3
custom30stringCustom field 30
custom31stringCustom field 31
custom32stringCustom field 32
custom33stringCustom field 33
custom34stringCustom field 34
custom35stringCustom field 35
custom36stringCustom field 36
custom37stringCustom field 37
custom38stringCustom field 38
custom39stringCustom field 39
custom4stringCustom field 4
custom40stringCustom field 40
custom41stringCustom field 41
custom42stringCustom field 42
custom43stringCustom field 43
custom44stringCustom field 44
custom45stringCustom field 45
custom46stringCustom field 46
custom47stringCustom field 47
custom48stringCustom field 48
custom49stringCustom field 49
custom5stringCustom field 5
custom50stringCustom field 50
custom51stringCustom field 51
custom52stringCustom field 52
custom53stringCustom field 53
custom54stringCustom field 54
custom55stringCustom field 55
custom56stringCustom field 56
custom57stringCustom field 57
custom58stringCustom field 58
custom59stringCustom field 59
custom6stringCustom field 6
custom60stringCustom field 60
custom61stringCustom field 61
custom62stringCustom field 62
custom63stringCustom field 63
custom64stringCustom field 64
custom65stringCustom field 65
custom66stringCustom field 66
custom67stringCustom field 67
custom68stringCustom field 68
custom69stringCustom field 69
custom7stringCustom field 7
custom70stringCustom field 70
custom71stringCustom field 71
custom72stringCustom field 72
custom73stringCustom field 73
custom74stringCustom field 74
custom75stringCustom field 75
custom76stringCustom field 76
custom77stringCustom field 77
custom78stringCustom field 78
custom79stringCustom field 79
custom8stringCustom field 8
custom80stringCustom field 80
custom81stringCustom field 81
custom82stringCustom field 82
custom83stringCustom field 83
custom84stringCustom field 84
custom85stringCustom field 85
custom86stringCustom field 86
custom87stringCustom field 87
custom88stringCustom field 88
custom89stringCustom field 89
custom9stringCustom field 9
custom90stringCustom field 90
custom91stringCustom field 91
custom92stringCustom field 92
custom93stringCustom field 93
custom94stringCustom field 94
custom95stringCustom field 95
custom96stringCustom field 96
custom97stringCustom field 97
custom98stringCustom field 98
custom99stringCustom field 99
dateOfBirthstringDate of birth
defaultPluginMappingarrayDefault plugin mapping
degreestringDegree
emailAddressesarrayEmail addresses
emailContactsarrayEmail contacts
emailOptedOutbooleanEmail opted out
emailsarrayEmails
emailsOptStatusstringEmails opt status
emailsOptedAtstringEmails opted at
engagedAtstringEngaged at
engagedScorenumberEngaged score
eventNamestringEvent name
externalIdstringExternal id
externalOwnerstringExternal owner
externalSourcestringExternal source
facebookUrlstringFacebook url
favoritesarrayFavorites
firstNamestringFirst name
genderstringGender
githubUrlstringGithub url
githubUsernamestringGithub username
googlePlusUrlstringGoogle plus url
graduationDatestringGraduation date
homePhonesarrayHome phones
idintegerUnique prospect identifier
jobStartDatestringJob start date
lastNamestringLast name
linkedInConnectionsintegerLinked in connections
linkedInIdstringLinked in id
linkedInSlugstringLinked in slug
linkedInUrlstringLinked in url
mailingsarrayMailings
middleNamestringMiddle name
mobilePhonesarrayMobile phones
namestringName
nicknamestringNickname
occupationstringOccupation
openCountintegerOpen count
opportunitiesarrayOpportunities
opportunityProspectRolesarrayOpportunity prospect roles
optedOutbooleanOpted out
optedOutAtstringOpted out at
otherPhonesarrayOther phones
ownerarrayOwner
personaarrayPersona
personaNamestringPersona name
personalNote1stringPersonal note1
personalNote2stringPersonal note2
phoneNumbersarrayPhone numbers
preferredContactstringPreferred contact
quoraUrlstringQuora url
regionstringRegion
replyCountintegerReply count
schoolstringSchool
scorenumberScore
sequenceStatesarraySequence states
sharingTeamIdstringSharing team id
smsOptStatusstringSms opt status
smsOptedAtstringSms opted at
smsOptedOutbooleanSms opted out
sourcestringSource
specialtiesstringSpecialties
stackOverflowIdstringStack overflow id
stackOverflowUrlstringStack overflow url
stagearrayStage
stageNamestringStage name
tagsarrayTags
tasksarrayTasks
timeZonestringTime zone
timeZoneIanastringTime zone iana
timeZoneInferredstringTime zone inferred
titlestringTitle
touchedAtstringTouched at
trashedAtstringTrashed at
trashedByAccountarrayTrashed by account
twitterUrlstringTwitter url
twitterUsernamestringTwitter username
updatedAtstringUpdated at
updaterarrayUpdater
updaterIdintegerUpdater id
updaterTypestringUpdater type
voipPhonesarrayVoip phones
websiteUrl1stringWebsite url1
websiteUrl2stringWebsite url2
websiteUrl3stringWebsite url3
workPhonesarrayWork phones
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].accountarrayAccount
data[].accountNamestringAccount name
data[].activeSequenceStatesarrayActive sequence states
data[].addedAtstringAdded at
data[].addressCitystringAddress city
data[].addressCountrystringAddress country
data[].addressStatestringAddress state
data[].addressStreetstringAddress street
data[].addressStreet2stringAddress street2
data[].addressZipstringAddress zip
data[].angelListUrlstringAngel list url
data[].assignedTeamsarrayAssigned teams
data[].assignedUsersarrayAssigned users
data[].availableAtstringAvailable at
data[].batchesarrayBatches
data[].callOptedOutbooleanCall opted out
data[].callsarrayCalls
data[].callsOptStatusstringCalls opt status
data[].callsOptedAtstringCalls opted at
data[].campaignNamestringCampaign name
data[].clickCountintegerClick count
data[].companystringCompany
data[].companyFollowersintegerCompany followers
data[].companyFoundedAtstringCompany founded at
data[].companyIndustrystringCompany industry
data[].companyLinkedInstringCompany linked in
data[].companyLinkedInEmployeesstringCompany linked in employees
data[].companyLocalitystringCompany locality
data[].companyNaturalstringCompany natural
data[].companySizeintegerCompany size
data[].companyStartDatestringCompany start date
data[].companyTypestringCompany type
data[].contactHistogramarrayContact histogram
data[].createdAtstringCreated at
data[].creatorarrayCreator
data[].custom1stringCustom field 1
data[].custom10stringCustom field 10
data[].custom100stringCustom field 100
data[].custom101stringCustom field 101
data[].custom102stringCustom field 102
data[].custom103stringCustom field 103
data[].custom104stringCustom field 104
data[].custom105stringCustom field 105
data[].custom106stringCustom field 106
data[].custom107stringCustom field 107
data[].custom108stringCustom field 108
data[].custom109stringCustom field 109
data[].custom11stringCustom field 11
data[].custom110stringCustom field 110
data[].custom111stringCustom field 111
data[].custom112stringCustom field 112
data[].custom113stringCustom field 113
data[].custom114stringCustom field 114
data[].custom115stringCustom field 115
data[].custom116stringCustom field 116
data[].custom117stringCustom field 117
data[].custom118stringCustom field 118
data[].custom119stringCustom field 119
data[].custom12stringCustom field 12
data[].custom120stringCustom field 120
data[].custom121stringCustom field 121
data[].custom122stringCustom field 122
data[].custom123stringCustom field 123
data[].custom124stringCustom field 124
data[].custom125stringCustom field 125
data[].custom126stringCustom field 126
data[].custom127stringCustom field 127
data[].custom128stringCustom field 128
data[].custom129stringCustom field 129
data[].custom13stringCustom field 13
data[].custom130stringCustom field 130
data[].custom131stringCustom field 131
data[].custom132stringCustom field 132
data[].custom133stringCustom field 133
data[].custom134stringCustom field 134
data[].custom135stringCustom field 135
data[].custom136stringCustom field 136
data[].custom137stringCustom field 137
data[].custom138stringCustom field 138
data[].custom139stringCustom field 139
data[].custom14stringCustom field 14
data[].custom140stringCustom field 140
data[].custom141stringCustom field 141
data[].custom142stringCustom field 142
data[].custom143stringCustom field 143
data[].custom144stringCustom field 144
data[].custom145stringCustom field 145
data[].custom146stringCustom field 146
data[].custom147stringCustom field 147
data[].custom148stringCustom field 148
data[].custom149stringCustom field 149
data[].custom15stringCustom field 15
data[].custom150stringCustom field 150
data[].custom16stringCustom field 16
data[].custom17stringCustom field 17
data[].custom18stringCustom field 18
data[].custom19stringCustom field 19
data[].custom2stringCustom field 2
data[].custom20stringCustom field 20
data[].custom21stringCustom field 21
data[].custom22stringCustom field 22
data[].custom23stringCustom field 23
data[].custom24stringCustom field 24
data[].custom25stringCustom field 25
data[].custom26stringCustom field 26
data[].custom27stringCustom field 27
data[].custom28stringCustom field 28
data[].custom29stringCustom field 29
data[].custom3stringCustom field 3
data[].custom30stringCustom field 30
data[].custom31stringCustom field 31
data[].custom32stringCustom field 32
data[].custom33stringCustom field 33
data[].custom34stringCustom field 34
data[].custom35stringCustom field 35
data[].custom36stringCustom field 36
data[].custom37stringCustom field 37
data[].custom38stringCustom field 38
data[].custom39stringCustom field 39
data[].custom4stringCustom field 4
data[].custom40stringCustom field 40
data[].custom41stringCustom field 41
data[].custom42stringCustom field 42
data[].custom43stringCustom field 43
data[].custom44stringCustom field 44
data[].custom45stringCustom field 45
data[].custom46stringCustom field 46
data[].custom47stringCustom field 47
data[].custom48stringCustom field 48
data[].custom49stringCustom field 49
data[].custom5stringCustom field 5
data[].custom50stringCustom field 50
data[].custom51stringCustom field 51
data[].custom52stringCustom field 52
data[].custom53stringCustom field 53
data[].custom54stringCustom field 54
data[].custom55stringCustom field 55
data[].custom56stringCustom field 56
data[].custom57stringCustom field 57
data[].custom58stringCustom field 58
data[].custom59stringCustom field 59
data[].custom6stringCustom field 6
data[].custom60stringCustom field 60
data[].custom61stringCustom field 61
data[].custom62stringCustom field 62
data[].custom63stringCustom field 63
data[].custom64stringCustom field 64
data[].custom65stringCustom field 65
data[].custom66stringCustom field 66
data[].custom67stringCustom field 67
data[].custom68stringCustom field 68
data[].custom69stringCustom field 69
data[].custom7stringCustom field 7
data[].custom70stringCustom field 70
data[].custom71stringCustom field 71
data[].custom72stringCustom field 72
data[].custom73stringCustom field 73
data[].custom74stringCustom field 74
data[].custom75stringCustom field 75
data[].custom76stringCustom field 76
data[].custom77stringCustom field 77
data[].custom78stringCustom field 78
data[].custom79stringCustom field 79
data[].custom8stringCustom field 8
data[].custom80stringCustom field 80
data[].custom81stringCustom field 81
data[].custom82stringCustom field 82
data[].custom83stringCustom field 83
data[].custom84stringCustom field 84
data[].custom85stringCustom field 85
data[].custom86stringCustom field 86
data[].custom87stringCustom field 87
data[].custom88stringCustom field 88
data[].custom89stringCustom field 89
data[].custom9stringCustom field 9
data[].custom90stringCustom field 90
data[].custom91stringCustom field 91
data[].custom92stringCustom field 92
data[].custom93stringCustom field 93
data[].custom94stringCustom field 94
data[].custom95stringCustom field 95
data[].custom96stringCustom field 96
data[].custom97stringCustom field 97
data[].custom98stringCustom field 98
data[].custom99stringCustom field 99
data[].dateOfBirthstringDate of birth
data[].defaultPluginMappingarrayDefault plugin mapping
data[].degreestringDegree
data[].emailAddressesarrayEmail addresses
data[].emailContactsarrayEmail contacts
data[].emailOptedOutbooleanEmail opted out
data[].emailsarrayEmails
data[].emailsOptStatusstringEmails opt status
data[].emailsOptedAtstringEmails opted at
data[].engagedAtstringEngaged at
data[].engagedScorenumberEngaged score
data[].eventNamestringEvent name
data[].externalIdstringExternal id
data[].externalOwnerstringExternal owner
data[].externalSourcestringExternal source
data[].facebookUrlstringFacebook url
data[].favoritesarrayFavorites
data[].firstNamestringFirst name
data[].genderstringGender
data[].githubUrlstringGithub url
data[].githubUsernamestringGithub username
data[].googlePlusUrlstringGoogle plus url
data[].graduationDatestringGraduation date
data[].homePhonesarrayHome phones
data[].idintegerUnique prospect identifier
data[].jobStartDatestringJob start date
data[].lastNamestringLast name
data[].linkedInConnectionsintegerLinked in connections
data[].linkedInIdstringLinked in id
data[].linkedInSlugstringLinked in slug
data[].linkedInUrlstringLinked in url
data[].mailingsarrayMailings
data[].middleNamestringMiddle name
data[].mobilePhonesarrayMobile phones
data[].namestringName
data[].nicknamestringNickname
data[].occupationstringOccupation
data[].openCountintegerOpen count
data[].opportunitiesarrayOpportunities
data[].opportunityProspectRolesarrayOpportunity prospect roles
data[].optedOutbooleanOpted out
data[].optedOutAtstringOpted out at
data[].otherPhonesarrayOther phones
data[].ownerarrayOwner
data[].personaarrayPersona
data[].personaNamestringPersona name
data[].personalNote1stringPersonal note1
data[].personalNote2stringPersonal note2
data[].phoneNumbersarrayPhone numbers
data[].preferredContactstringPreferred contact
data[].quoraUrlstringQuora url
data[].regionstringRegion
data[].replyCountintegerReply count
data[].schoolstringSchool
data[].scorenumberScore
data[].sequenceStatesarraySequence states
data[].sharingTeamIdstringSharing team id
data[].smsOptStatusstringSms opt status
data[].smsOptedAtstringSms opted at
data[].smsOptedOutbooleanSms opted out
data[].sourcestringSource
data[].specialtiesstringSpecialties
data[].stackOverflowIdstringStack overflow id
data[].stackOverflowUrlstringStack overflow url
data[].stagearrayStage
data[].stageNamestringStage name
data[].tagsarrayTags
data[].tasksarrayTasks
data[].timeZonestringTime zone
data[].timeZoneIanastringTime zone iana
data[].timeZoneInferredstringTime zone inferred
data[].titlestringTitle
data[].touchedAtstringTouched at
data[].trashedAtstringTrashed at
data[].trashedByAccountarrayTrashed by account
data[].twitterUrlstringTwitter url
data[].twitterUsernamestringTwitter username
data[].updatedAtstringUpdated at
data[].updaterarrayUpdater
data[].updaterIdintegerUpdater id
data[].updaterTypestringUpdater type
data[].voipPhonesarrayVoip phones
data[].websiteUrl1stringWebsite url1
data[].websiteUrl2stringWebsite url2
data[].websiteUrl3stringWebsite url3
data[].workPhonesarrayWork phones

Prospects Context Store SQL Query​

Run a SQL query against prospects records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "prospects",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.prospects.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "prospects",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Accounts​

Accounts List​

Returns a paginated list of accounts

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "accounts",
"action": "list"
}'

Python SDK​

await outreach.accounts.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "accounts",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Accounts Get​

Get a single account by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "accounts",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.accounts.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "accounts",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesAccount ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter accounts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "accounts",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"assignedTeams": []
}
}
}
}
}'

Python SDK​

await outreach.accounts.context_store_search(
query={"filter": {"eq": {"assignedTeams": []}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "accounts",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"assignedTeams": []}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
assignedTeamsarrayAssigned teams
assignedUsersarrayAssigned users
batchesarrayBatches
buyerIntentScorenumberBuyer intent score
companyTypestringCompany type
createdAtstringCreated at
creatorarrayCreator
custom1stringCustom field 1
custom10stringCustom field 10
custom100stringCustom field 100
custom101stringCustom field 101
custom102stringCustom field 102
custom103stringCustom field 103
custom104stringCustom field 104
custom105stringCustom field 105
custom106stringCustom field 106
custom107stringCustom field 107
custom108stringCustom field 108
custom109stringCustom field 109
custom11stringCustom field 11
custom110stringCustom field 110
custom111stringCustom field 111
custom112stringCustom field 112
custom113stringCustom field 113
custom114stringCustom field 114
custom115stringCustom field 115
custom116stringCustom field 116
custom117stringCustom field 117
custom118stringCustom field 118
custom119stringCustom field 119
custom12stringCustom field 12
custom120stringCustom field 120
custom121stringCustom field 121
custom122stringCustom field 122
custom123stringCustom field 123
custom124stringCustom field 124
custom125stringCustom field 125
custom126stringCustom field 126
custom127stringCustom field 127
custom128stringCustom field 128
custom129stringCustom field 129
custom13stringCustom field 13
custom130stringCustom field 130
custom131stringCustom field 131
custom132stringCustom field 132
custom133stringCustom field 133
custom134stringCustom field 134
custom135stringCustom field 135
custom136stringCustom field 136
custom137stringCustom field 137
custom138stringCustom field 138
custom139stringCustom field 139
custom14stringCustom field 14
custom140stringCustom field 140
custom141stringCustom field 141
custom142stringCustom field 142
custom143stringCustom field 143
custom144stringCustom field 144
custom145stringCustom field 145
custom146stringCustom field 146
custom147stringCustom field 147
custom148stringCustom field 148
custom149stringCustom field 149
custom15stringCustom field 15
custom150stringCustom field 150
custom16stringCustom field 16
custom17stringCustom field 17
custom18stringCustom field 18
custom19stringCustom field 19
custom2stringCustom field 2
custom20stringCustom field 20
custom21stringCustom field 21
custom22stringCustom field 22
custom23stringCustom field 23
custom24stringCustom field 24
custom25stringCustom field 25
custom26stringCustom field 26
custom27stringCustom field 27
custom28stringCustom field 28
custom29stringCustom field 29
custom3stringCustom field 3
custom30stringCustom field 30
custom31stringCustom field 31
custom32stringCustom field 32
custom33stringCustom field 33
custom34stringCustom field 34
custom35stringCustom field 35
custom36stringCustom field 36
custom37stringCustom field 37
custom38stringCustom field 38
custom39stringCustom field 39
custom4stringCustom field 4
custom40stringCustom field 40
custom41stringCustom field 41
custom42stringCustom field 42
custom43stringCustom field 43
custom44stringCustom field 44
custom45stringCustom field 45
custom46stringCustom field 46
custom47stringCustom field 47
custom48stringCustom field 48
custom49stringCustom field 49
custom5stringCustom field 5
custom50stringCustom field 50
custom51stringCustom field 51
custom52stringCustom field 52
custom53stringCustom field 53
custom54stringCustom field 54
custom55stringCustom field 55
custom56stringCustom field 56
custom57stringCustom field 57
custom58stringCustom field 58
custom59stringCustom field 59
custom6stringCustom field 6
custom60stringCustom field 60
custom61stringCustom field 61
custom62stringCustom field 62
custom63stringCustom field 63
custom64stringCustom field 64
custom65stringCustom field 65
custom66stringCustom field 66
custom67stringCustom field 67
custom68stringCustom field 68
custom69stringCustom field 69
custom7stringCustom field 7
custom70stringCustom field 70
custom71stringCustom field 71
custom72stringCustom field 72
custom73stringCustom field 73
custom74stringCustom field 74
custom75stringCustom field 75
custom76stringCustom field 76
custom77stringCustom field 77
custom78stringCustom field 78
custom79stringCustom field 79
custom8stringCustom field 8
custom80stringCustom field 80
custom81stringCustom field 81
custom82stringCustom field 82
custom83stringCustom field 83
custom84stringCustom field 84
custom85stringCustom field 85
custom86stringCustom field 86
custom87stringCustom field 87
custom88stringCustom field 88
custom89stringCustom field 89
custom9stringCustom field 9
custom90stringCustom field 90
custom91stringCustom field 91
custom92stringCustom field 92
custom93stringCustom field 93
custom94stringCustom field 94
custom95stringCustom field 95
custom96stringCustom field 96
custom97stringCustom field 97
custom98stringCustom field 98
custom99stringCustom field 99
customIdstringCustom id
defaultPluginMappingarrayDefault plugin mapping
descriptionstringDescription
domainstringDomain
externalSourcestringExternal source
favoritesarrayFavorites
followersintegerFollowers
foundedAtstringFounded at
idintegerUnique account identifier
industrystringIndustry
linkedInEmployeesintegerLinked in employees
linkedInUrlstringLinked in url
localitystringLocality
namestringName
namedbooleanNamed
naturalNamestringNatural name
numberOfEmployeesintegerNumber of employees
ownerarrayOwner
prospectsarrayProspects
sharingTeamIdstringSharing team id
tagsarrayTags
tasksarrayTasks
touchedAtstringTouched at
trashedAtstringTrashed at
updatedAtstringUpdated at
updaterarrayUpdater
websiteUrlstringWebsite url
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].assignedTeamsarrayAssigned teams
data[].assignedUsersarrayAssigned users
data[].batchesarrayBatches
data[].buyerIntentScorenumberBuyer intent score
data[].companyTypestringCompany type
data[].createdAtstringCreated at
data[].creatorarrayCreator
data[].custom1stringCustom field 1
data[].custom10stringCustom field 10
data[].custom100stringCustom field 100
data[].custom101stringCustom field 101
data[].custom102stringCustom field 102
data[].custom103stringCustom field 103
data[].custom104stringCustom field 104
data[].custom105stringCustom field 105
data[].custom106stringCustom field 106
data[].custom107stringCustom field 107
data[].custom108stringCustom field 108
data[].custom109stringCustom field 109
data[].custom11stringCustom field 11
data[].custom110stringCustom field 110
data[].custom111stringCustom field 111
data[].custom112stringCustom field 112
data[].custom113stringCustom field 113
data[].custom114stringCustom field 114
data[].custom115stringCustom field 115
data[].custom116stringCustom field 116
data[].custom117stringCustom field 117
data[].custom118stringCustom field 118
data[].custom119stringCustom field 119
data[].custom12stringCustom field 12
data[].custom120stringCustom field 120
data[].custom121stringCustom field 121
data[].custom122stringCustom field 122
data[].custom123stringCustom field 123
data[].custom124stringCustom field 124
data[].custom125stringCustom field 125
data[].custom126stringCustom field 126
data[].custom127stringCustom field 127
data[].custom128stringCustom field 128
data[].custom129stringCustom field 129
data[].custom13stringCustom field 13
data[].custom130stringCustom field 130
data[].custom131stringCustom field 131
data[].custom132stringCustom field 132
data[].custom133stringCustom field 133
data[].custom134stringCustom field 134
data[].custom135stringCustom field 135
data[].custom136stringCustom field 136
data[].custom137stringCustom field 137
data[].custom138stringCustom field 138
data[].custom139stringCustom field 139
data[].custom14stringCustom field 14
data[].custom140stringCustom field 140
data[].custom141stringCustom field 141
data[].custom142stringCustom field 142
data[].custom143stringCustom field 143
data[].custom144stringCustom field 144
data[].custom145stringCustom field 145
data[].custom146stringCustom field 146
data[].custom147stringCustom field 147
data[].custom148stringCustom field 148
data[].custom149stringCustom field 149
data[].custom15stringCustom field 15
data[].custom150stringCustom field 150
data[].custom16stringCustom field 16
data[].custom17stringCustom field 17
data[].custom18stringCustom field 18
data[].custom19stringCustom field 19
data[].custom2stringCustom field 2
data[].custom20stringCustom field 20
data[].custom21stringCustom field 21
data[].custom22stringCustom field 22
data[].custom23stringCustom field 23
data[].custom24stringCustom field 24
data[].custom25stringCustom field 25
data[].custom26stringCustom field 26
data[].custom27stringCustom field 27
data[].custom28stringCustom field 28
data[].custom29stringCustom field 29
data[].custom3stringCustom field 3
data[].custom30stringCustom field 30
data[].custom31stringCustom field 31
data[].custom32stringCustom field 32
data[].custom33stringCustom field 33
data[].custom34stringCustom field 34
data[].custom35stringCustom field 35
data[].custom36stringCustom field 36
data[].custom37stringCustom field 37
data[].custom38stringCustom field 38
data[].custom39stringCustom field 39
data[].custom4stringCustom field 4
data[].custom40stringCustom field 40
data[].custom41stringCustom field 41
data[].custom42stringCustom field 42
data[].custom43stringCustom field 43
data[].custom44stringCustom field 44
data[].custom45stringCustom field 45
data[].custom46stringCustom field 46
data[].custom47stringCustom field 47
data[].custom48stringCustom field 48
data[].custom49stringCustom field 49
data[].custom5stringCustom field 5
data[].custom50stringCustom field 50
data[].custom51stringCustom field 51
data[].custom52stringCustom field 52
data[].custom53stringCustom field 53
data[].custom54stringCustom field 54
data[].custom55stringCustom field 55
data[].custom56stringCustom field 56
data[].custom57stringCustom field 57
data[].custom58stringCustom field 58
data[].custom59stringCustom field 59
data[].custom6stringCustom field 6
data[].custom60stringCustom field 60
data[].custom61stringCustom field 61
data[].custom62stringCustom field 62
data[].custom63stringCustom field 63
data[].custom64stringCustom field 64
data[].custom65stringCustom field 65
data[].custom66stringCustom field 66
data[].custom67stringCustom field 67
data[].custom68stringCustom field 68
data[].custom69stringCustom field 69
data[].custom7stringCustom field 7
data[].custom70stringCustom field 70
data[].custom71stringCustom field 71
data[].custom72stringCustom field 72
data[].custom73stringCustom field 73
data[].custom74stringCustom field 74
data[].custom75stringCustom field 75
data[].custom76stringCustom field 76
data[].custom77stringCustom field 77
data[].custom78stringCustom field 78
data[].custom79stringCustom field 79
data[].custom8stringCustom field 8
data[].custom80stringCustom field 80
data[].custom81stringCustom field 81
data[].custom82stringCustom field 82
data[].custom83stringCustom field 83
data[].custom84stringCustom field 84
data[].custom85stringCustom field 85
data[].custom86stringCustom field 86
data[].custom87stringCustom field 87
data[].custom88stringCustom field 88
data[].custom89stringCustom field 89
data[].custom9stringCustom field 9
data[].custom90stringCustom field 90
data[].custom91stringCustom field 91
data[].custom92stringCustom field 92
data[].custom93stringCustom field 93
data[].custom94stringCustom field 94
data[].custom95stringCustom field 95
data[].custom96stringCustom field 96
data[].custom97stringCustom field 97
data[].custom98stringCustom field 98
data[].custom99stringCustom field 99
data[].customIdstringCustom id
data[].defaultPluginMappingarrayDefault plugin mapping
data[].descriptionstringDescription
data[].domainstringDomain
data[].externalSourcestringExternal source
data[].favoritesarrayFavorites
data[].followersintegerFollowers
data[].foundedAtstringFounded at
data[].idintegerUnique account identifier
data[].industrystringIndustry
data[].linkedInEmployeesintegerLinked in employees
data[].linkedInUrlstringLinked in url
data[].localitystringLocality
data[].namestringName
data[].namedbooleanNamed
data[].naturalNamestringNatural name
data[].numberOfEmployeesintegerNumber of employees
data[].ownerarrayOwner
data[].prospectsarrayProspects
data[].sharingTeamIdstringSharing team id
data[].tagsarrayTags
data[].tasksarrayTasks
data[].touchedAtstringTouched at
data[].trashedAtstringTrashed at
data[].updatedAtstringUpdated at
data[].updaterarrayUpdater
data[].websiteUrlstringWebsite url

Accounts Context Store SQL Query​

Run a SQL query against accounts records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "accounts",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.accounts.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "accounts",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Sequences​

Sequences List​

Returns a paginated list of sequences

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequences",
"action": "list"
}'

Python SDK​

await outreach.sequences.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequences",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Sequences Get​

Get a single sequence by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequences",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.sequences.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequences",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesSequence ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter sequences records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequences",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"automationPercentage": 0.0
}
}
}
}
}'

Python SDK​

await outreach.sequences.context_store_search(
query={"filter": {"eq": {"automationPercentage": 0.0}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequences",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"automationPercentage": 0.0}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
automationPercentagenumberAutomation percentage
bounceCountintegerBounce count
callsarrayCalls
clickCountintegerClick count
contentCategoryMembershipsarrayContent category memberships
createdAtstringCreated at
creatorarrayCreator
deliverCountintegerDeliver count
descriptionstringDescription
durationInDaysintegerDuration in days
enabledbooleanEnabled
enabledAtstringEnabled at
failureCountintegerFailure count
finishOnReplybooleanFinish on reply
idintegerUnique sequence identifier
lastUsedAtstringLast used at
lockedbooleanLocked
lockedAtstringLocked at
mailingsarrayMailings
maxActivationsintegerMax activations
namestringName
negativeReplyCountintegerNegative reply count
neutralReplyCountintegerNeutral reply count
numContactedProspectsintegerNum contacted prospects
numRepliedProspectsintegerNum replied prospects
openCountintegerOpen count
optOutCountintegerOpt out count
ownerarrayOwner
positiveReplyCountintegerPositive reply count
primaryReplyActionstringPrimary reply action
primaryReplyPauseDurationintegerPrimary reply pause duration
replyCountintegerReply count
rulesetarrayRuleset
schedulearraySchedule
scheduleCountintegerSchedule count
scheduleIntervalTypestringSchedule interval type
secondaryReplyActionstringSecondary reply action
secondaryReplyPauseDurationintegerSecondary reply pause duration
sequenceStatesarraySequence states
sequenceStepCountintegerSequence step count
sequenceStepsarraySequence steps
sequenceTypestringSequence type
shareTypestringShare type
tagsarrayTags
tasksarrayTasks
throttleCapacityintegerThrottle capacity
throttleMaxAddsPerDayintegerThrottle max adds per day
throttlePausedbooleanThrottle paused
throttlePausedAtstringThrottle paused at
transactionalbooleanTransactional
updatedAtstringUpdated at
updaterarrayUpdater
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].automationPercentagenumberAutomation percentage
data[].bounceCountintegerBounce count
data[].callsarrayCalls
data[].clickCountintegerClick count
data[].contentCategoryMembershipsarrayContent category memberships
data[].createdAtstringCreated at
data[].creatorarrayCreator
data[].deliverCountintegerDeliver count
data[].descriptionstringDescription
data[].durationInDaysintegerDuration in days
data[].enabledbooleanEnabled
data[].enabledAtstringEnabled at
data[].failureCountintegerFailure count
data[].finishOnReplybooleanFinish on reply
data[].idintegerUnique sequence identifier
data[].lastUsedAtstringLast used at
data[].lockedbooleanLocked
data[].lockedAtstringLocked at
data[].mailingsarrayMailings
data[].maxActivationsintegerMax activations
data[].namestringName
data[].negativeReplyCountintegerNegative reply count
data[].neutralReplyCountintegerNeutral reply count
data[].numContactedProspectsintegerNum contacted prospects
data[].numRepliedProspectsintegerNum replied prospects
data[].openCountintegerOpen count
data[].optOutCountintegerOpt out count
data[].ownerarrayOwner
data[].positiveReplyCountintegerPositive reply count
data[].primaryReplyActionstringPrimary reply action
data[].primaryReplyPauseDurationintegerPrimary reply pause duration
data[].replyCountintegerReply count
data[].rulesetarrayRuleset
data[].schedulearraySchedule
data[].scheduleCountintegerSchedule count
data[].scheduleIntervalTypestringSchedule interval type
data[].secondaryReplyActionstringSecondary reply action
data[].secondaryReplyPauseDurationintegerSecondary reply pause duration
data[].sequenceStatesarraySequence states
data[].sequenceStepCountintegerSequence step count
data[].sequenceStepsarraySequence steps
data[].sequenceTypestringSequence type
data[].shareTypestringShare type
data[].tagsarrayTags
data[].tasksarrayTasks
data[].throttleCapacityintegerThrottle capacity
data[].throttleMaxAddsPerDayintegerThrottle max adds per day
data[].throttlePausedbooleanThrottle paused
data[].throttlePausedAtstringThrottle paused at
data[].transactionalbooleanTransactional
data[].updatedAtstringUpdated at
data[].updaterarrayUpdater

Sequences Context Store SQL Query​

Run a SQL query against sequences records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequences",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.sequences.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequences",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Sequence States​

Sequence States List​

Returns a paginated list of sequence states (prospect-in-sequence associations)

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_states",
"action": "list"
}'

Python SDK​

await outreach.sequence_states.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_states",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object

Meta​

Field NameTypeDescription
next_linknull | string

Sequence States Get​

Get a single sequence state by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_states",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.sequence_states.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_states",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesSequence State ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object

Search and filter sequence states records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_states",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"account": []
}
}
}
}
}'

Python SDK​

await outreach.sequence_states.context_store_search(
query={"filter": {"eq": {"account": []}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_states",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"account": []}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
accountarrayAccount
activeAtstringActive at
activeStepMailingsarrayActive step mailings
activeStepTasksarrayActive step tasks
bounceCountintegerBounce count
callCompletedAtstringCall completed at
callsarrayCalls
clickCountintegerClick count
createdAtstringCreated at
creatorarrayCreator
deliverCountintegerDeliver count
errorReasonstringError reason
failureCountintegerFailure count
idintegerUnique sequence state identifier
mailboxarrayMailbox
mailingsarrayMailings
negativeReplyCountintegerNegative reply count
neutralReplyCountintegerNeutral reply count
openCountintegerOpen count
opportunityarrayOpportunity
optOutCountintegerOpt out count
pauseReasonstringPause reason
positiveReplyCountintegerPositive reply count
prospectarrayProspect
repliedAtstringReplied at
replyCountintegerReply count
scheduleCountintegerSchedule count
sequencearraySequence
sequenceSteparraySequence step
statestringState
stateChangedAtstringState changed at
tasksarrayTasks
updatedAtstringUpdated at
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].accountarrayAccount
data[].activeAtstringActive at
data[].activeStepMailingsarrayActive step mailings
data[].activeStepTasksarrayActive step tasks
data[].bounceCountintegerBounce count
data[].callCompletedAtstringCall completed at
data[].callsarrayCalls
data[].clickCountintegerClick count
data[].createdAtstringCreated at
data[].creatorarrayCreator
data[].deliverCountintegerDeliver count
data[].errorReasonstringError reason
data[].failureCountintegerFailure count
data[].idintegerUnique sequence state identifier
data[].mailboxarrayMailbox
data[].mailingsarrayMailings
data[].negativeReplyCountintegerNegative reply count
data[].neutralReplyCountintegerNeutral reply count
data[].openCountintegerOpen count
data[].opportunityarrayOpportunity
data[].optOutCountintegerOpt out count
data[].pauseReasonstringPause reason
data[].positiveReplyCountintegerPositive reply count
data[].prospectarrayProspect
data[].repliedAtstringReplied at
data[].replyCountintegerReply count
data[].scheduleCountintegerSchedule count
data[].sequencearraySequence
data[].sequenceSteparraySequence step
data[].statestringState
data[].stateChangedAtstringState changed at
data[].tasksarrayTasks
data[].updatedAtstringUpdated at

Sequence States Context Store SQL Query​

Run a SQL query against sequence states records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_states",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.sequence_states.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_states",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Sequence Steps​

Sequence Steps List​

Returns a paginated list of sequence steps

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_steps",
"action": "list"
}'

Python SDK​

await outreach.sequence_steps.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_steps",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Sequence Steps Get​

Get a single sequence step by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_steps",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.sequence_steps.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_steps",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesSequence Step ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter sequence steps records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_steps",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"bounceCount": 0
}
}
}
}
}'

Python SDK​

await outreach.sequence_steps.context_store_search(
query={"filter": {"eq": {"bounceCount": 0}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_steps",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"bounceCount": 0}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
bounceCountintegerBounce count
callPurposearrayCall purpose
callsarrayCalls
clickCountintegerClick count
createdAtstringCreated at
creatorarrayCreator
datestringDate
deliverCountintegerDeliver count
displayNamestringDisplay name
failureCountintegerFailure count
idintegerUnique sequence step identifier
intervalintegerInterval
mailingsarrayMailings
negativeReplyCountintegerNegative reply count
neutralReplyCountintegerNeutral reply count
openCountintegerOpen count
optOutCountintegerOpt out count
orderintegerOrder
positiveReplyCountintegerPositive reply count
replyCountintegerReply count
scheduleCountintegerSchedule count
sequencearraySequence
sequenceTemplatesarraySequence templates
stepTypestringStep type
taskAutoDisplaystringTask auto display
taskPriorityarrayTask priority
tasksarrayTasks
updatedAtstringUpdated at
updaterarrayUpdater
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].bounceCountintegerBounce count
data[].callPurposearrayCall purpose
data[].callsarrayCalls
data[].clickCountintegerClick count
data[].createdAtstringCreated at
data[].creatorarrayCreator
data[].datestringDate
data[].deliverCountintegerDeliver count
data[].displayNamestringDisplay name
data[].failureCountintegerFailure count
data[].idintegerUnique sequence step identifier
data[].intervalintegerInterval
data[].mailingsarrayMailings
data[].negativeReplyCountintegerNegative reply count
data[].neutralReplyCountintegerNeutral reply count
data[].openCountintegerOpen count
data[].optOutCountintegerOpt out count
data[].orderintegerOrder
data[].positiveReplyCountintegerPositive reply count
data[].replyCountintegerReply count
data[].scheduleCountintegerSchedule count
data[].sequencearraySequence
data[].sequenceTemplatesarraySequence templates
data[].stepTypestringStep type
data[].taskAutoDisplaystringTask auto display
data[].taskPriorityarrayTask priority
data[].tasksarrayTasks
data[].updatedAtstringUpdated at
data[].updaterarrayUpdater

Sequence Steps Context Store SQL Query​

Run a SQL query against sequence steps records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "sequence_steps",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.sequence_steps.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "sequence_steps",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Opportunities​

Opportunities List​

Returns a paginated list of opportunities

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "opportunities",
"action": "list"
}'

Python SDK​

await outreach.opportunities.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "opportunities",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Opportunities Get​

Get a single opportunity by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "opportunities",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.opportunities.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "opportunities",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesOpportunity ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter opportunities records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "opportunities",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"account": []
}
}
}
}
}'

Python SDK​

await outreach.opportunities.context_store_search(
query={"filter": {"eq": {"account": []}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "opportunities",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"account": []}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
accountarrayAccount
amountintegerAmount
assignedTeamsarrayAssigned teams
assignedUsersarrayAssigned users
closeDatestringClose date
createdAtstringCreated at
creatorarrayCreator
currencyTypestringCurrency type
custom1stringCustom field 1
custom10stringCustom field 10
custom100stringCustom field 100
custom101stringCustom field 101
custom102stringCustom field 102
custom103stringCustom field 103
custom104stringCustom field 104
custom105stringCustom field 105
custom106stringCustom field 106
custom107stringCustom field 107
custom108stringCustom field 108
custom109stringCustom field 109
custom11stringCustom field 11
custom110stringCustom field 110
custom111stringCustom field 111
custom112stringCustom field 112
custom113stringCustom field 113
custom114stringCustom field 114
custom115stringCustom field 115
custom116stringCustom field 116
custom117stringCustom field 117
custom118stringCustom field 118
custom119stringCustom field 119
custom12stringCustom field 12
custom120stringCustom field 120
custom121stringCustom field 121
custom122stringCustom field 122
custom123stringCustom field 123
custom124stringCustom field 124
custom125stringCustom field 125
custom126stringCustom field 126
custom127stringCustom field 127
custom128stringCustom field 128
custom129stringCustom field 129
custom13stringCustom field 13
custom130stringCustom field 130
custom131stringCustom field 131
custom132stringCustom field 132
custom133stringCustom field 133
custom134stringCustom field 134
custom135stringCustom field 135
custom136stringCustom field 136
custom137stringCustom field 137
custom138stringCustom field 138
custom139stringCustom field 139
custom14stringCustom field 14
custom140stringCustom field 140
custom141stringCustom field 141
custom142stringCustom field 142
custom143stringCustom field 143
custom144stringCustom field 144
custom145stringCustom field 145
custom146stringCustom field 146
custom147stringCustom field 147
custom148stringCustom field 148
custom149stringCustom field 149
custom15stringCustom field 15
custom150stringCustom field 150
custom16stringCustom field 16
custom17stringCustom field 17
custom18stringCustom field 18
custom19stringCustom field 19
custom2stringCustom field 2
custom20stringCustom field 20
custom21stringCustom field 21
custom22stringCustom field 22
custom23stringCustom field 23
custom24stringCustom field 24
custom25stringCustom field 25
custom26stringCustom field 26
custom27stringCustom field 27
custom28stringCustom field 28
custom29stringCustom field 29
custom3stringCustom field 3
custom30stringCustom field 30
custom31stringCustom field 31
custom32stringCustom field 32
custom33stringCustom field 33
custom34stringCustom field 34
custom35stringCustom field 35
custom36stringCustom field 36
custom37stringCustom field 37
custom38stringCustom field 38
custom39stringCustom field 39
custom4stringCustom field 4
custom40stringCustom field 40
custom41stringCustom field 41
custom42stringCustom field 42
custom43stringCustom field 43
custom44stringCustom field 44
custom45stringCustom field 45
custom46stringCustom field 46
custom47stringCustom field 47
custom48stringCustom field 48
custom49stringCustom field 49
custom5stringCustom field 5
custom50stringCustom field 50
custom51stringCustom field 51
custom52stringCustom field 52
custom53stringCustom field 53
custom54stringCustom field 54
custom55stringCustom field 55
custom56stringCustom field 56
custom57stringCustom field 57
custom58stringCustom field 58
custom59stringCustom field 59
custom6stringCustom field 6
custom60stringCustom field 60
custom61stringCustom field 61
custom62stringCustom field 62
custom63stringCustom field 63
custom64stringCustom field 64
custom65stringCustom field 65
custom66stringCustom field 66
custom67stringCustom field 67
custom68stringCustom field 68
custom69stringCustom field 69
custom7stringCustom field 7
custom70stringCustom field 70
custom71stringCustom field 71
custom72stringCustom field 72
custom73stringCustom field 73
custom74stringCustom field 74
custom75stringCustom field 75
custom76stringCustom field 76
custom77stringCustom field 77
custom78stringCustom field 78
custom79stringCustom field 79
custom8stringCustom field 8
custom80stringCustom field 80
custom81stringCustom field 81
custom82stringCustom field 82
custom83stringCustom field 83
custom84stringCustom field 84
custom85stringCustom field 85
custom86stringCustom field 86
custom87stringCustom field 87
custom88stringCustom field 88
custom89stringCustom field 89
custom9stringCustom field 9
custom90stringCustom field 90
custom91stringCustom field 91
custom92stringCustom field 92
custom93stringCustom field 93
custom94stringCustom field 94
custom95stringCustom field 95
custom96stringCustom field 96
custom97stringCustom field 97
custom98stringCustom field 98
custom99stringCustom field 99
defaultPluginMappingarrayDefault plugin mapping
descriptionstringDescription
externalCreatedAtstringExternal created at
externalCreatorarrayExternal creator
favoritesarrayFavorites
healthCategorystringHealth category
healthScoreintegerHealth score
idintegerUnique opportunity identifier
mapLinkstringMap link
mapNextStepsstringMap next steps
mapNumberOfOverdueTasksintegerMap number of overdue tasks
mapStatusstringMap status
namestringName
nextStepstringNext step
opportunityHealthFactorsarrayOpportunity health factors
opportunityStagearrayOpportunity stage
opportunityTypestringOpportunity type
ownerarrayOwner
primaryProspectarrayPrimary prospect
probabilityintegerProbability
prospectingRepIdstringProspecting rep id
prospectsarrayProspects
sharingTeamIdstringSharing team id
stagearrayStage
tagsarrayTags
touchedAtstringTouched at
updatedAtstringUpdated at
updaterarrayUpdater
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].accountarrayAccount
data[].amountintegerAmount
data[].assignedTeamsarrayAssigned teams
data[].assignedUsersarrayAssigned users
data[].closeDatestringClose date
data[].createdAtstringCreated at
data[].creatorarrayCreator
data[].currencyTypestringCurrency type
data[].custom1stringCustom field 1
data[].custom10stringCustom field 10
data[].custom100stringCustom field 100
data[].custom101stringCustom field 101
data[].custom102stringCustom field 102
data[].custom103stringCustom field 103
data[].custom104stringCustom field 104
data[].custom105stringCustom field 105
data[].custom106stringCustom field 106
data[].custom107stringCustom field 107
data[].custom108stringCustom field 108
data[].custom109stringCustom field 109
data[].custom11stringCustom field 11
data[].custom110stringCustom field 110
data[].custom111stringCustom field 111
data[].custom112stringCustom field 112
data[].custom113stringCustom field 113
data[].custom114stringCustom field 114
data[].custom115stringCustom field 115
data[].custom116stringCustom field 116
data[].custom117stringCustom field 117
data[].custom118stringCustom field 118
data[].custom119stringCustom field 119
data[].custom12stringCustom field 12
data[].custom120stringCustom field 120
data[].custom121stringCustom field 121
data[].custom122stringCustom field 122
data[].custom123stringCustom field 123
data[].custom124stringCustom field 124
data[].custom125stringCustom field 125
data[].custom126stringCustom field 126
data[].custom127stringCustom field 127
data[].custom128stringCustom field 128
data[].custom129stringCustom field 129
data[].custom13stringCustom field 13
data[].custom130stringCustom field 130
data[].custom131stringCustom field 131
data[].custom132stringCustom field 132
data[].custom133stringCustom field 133
data[].custom134stringCustom field 134
data[].custom135stringCustom field 135
data[].custom136stringCustom field 136
data[].custom137stringCustom field 137
data[].custom138stringCustom field 138
data[].custom139stringCustom field 139
data[].custom14stringCustom field 14
data[].custom140stringCustom field 140
data[].custom141stringCustom field 141
data[].custom142stringCustom field 142
data[].custom143stringCustom field 143
data[].custom144stringCustom field 144
data[].custom145stringCustom field 145
data[].custom146stringCustom field 146
data[].custom147stringCustom field 147
data[].custom148stringCustom field 148
data[].custom149stringCustom field 149
data[].custom15stringCustom field 15
data[].custom150stringCustom field 150
data[].custom16stringCustom field 16
data[].custom17stringCustom field 17
data[].custom18stringCustom field 18
data[].custom19stringCustom field 19
data[].custom2stringCustom field 2
data[].custom20stringCustom field 20
data[].custom21stringCustom field 21
data[].custom22stringCustom field 22
data[].custom23stringCustom field 23
data[].custom24stringCustom field 24
data[].custom25stringCustom field 25
data[].custom26stringCustom field 26
data[].custom27stringCustom field 27
data[].custom28stringCustom field 28
data[].custom29stringCustom field 29
data[].custom3stringCustom field 3
data[].custom30stringCustom field 30
data[].custom31stringCustom field 31
data[].custom32stringCustom field 32
data[].custom33stringCustom field 33
data[].custom34stringCustom field 34
data[].custom35stringCustom field 35
data[].custom36stringCustom field 36
data[].custom37stringCustom field 37
data[].custom38stringCustom field 38
data[].custom39stringCustom field 39
data[].custom4stringCustom field 4
data[].custom40stringCustom field 40
data[].custom41stringCustom field 41
data[].custom42stringCustom field 42
data[].custom43stringCustom field 43
data[].custom44stringCustom field 44
data[].custom45stringCustom field 45
data[].custom46stringCustom field 46
data[].custom47stringCustom field 47
data[].custom48stringCustom field 48
data[].custom49stringCustom field 49
data[].custom5stringCustom field 5
data[].custom50stringCustom field 50
data[].custom51stringCustom field 51
data[].custom52stringCustom field 52
data[].custom53stringCustom field 53
data[].custom54stringCustom field 54
data[].custom55stringCustom field 55
data[].custom56stringCustom field 56
data[].custom57stringCustom field 57
data[].custom58stringCustom field 58
data[].custom59stringCustom field 59
data[].custom6stringCustom field 6
data[].custom60stringCustom field 60
data[].custom61stringCustom field 61
data[].custom62stringCustom field 62
data[].custom63stringCustom field 63
data[].custom64stringCustom field 64
data[].custom65stringCustom field 65
data[].custom66stringCustom field 66
data[].custom67stringCustom field 67
data[].custom68stringCustom field 68
data[].custom69stringCustom field 69
data[].custom7stringCustom field 7
data[].custom70stringCustom field 70
data[].custom71stringCustom field 71
data[].custom72stringCustom field 72
data[].custom73stringCustom field 73
data[].custom74stringCustom field 74
data[].custom75stringCustom field 75
data[].custom76stringCustom field 76
data[].custom77stringCustom field 77
data[].custom78stringCustom field 78
data[].custom79stringCustom field 79
data[].custom8stringCustom field 8
data[].custom80stringCustom field 80
data[].custom81stringCustom field 81
data[].custom82stringCustom field 82
data[].custom83stringCustom field 83
data[].custom84stringCustom field 84
data[].custom85stringCustom field 85
data[].custom86stringCustom field 86
data[].custom87stringCustom field 87
data[].custom88stringCustom field 88
data[].custom89stringCustom field 89
data[].custom9stringCustom field 9
data[].custom90stringCustom field 90
data[].custom91stringCustom field 91
data[].custom92stringCustom field 92
data[].custom93stringCustom field 93
data[].custom94stringCustom field 94
data[].custom95stringCustom field 95
data[].custom96stringCustom field 96
data[].custom97stringCustom field 97
data[].custom98stringCustom field 98
data[].custom99stringCustom field 99
data[].defaultPluginMappingarrayDefault plugin mapping
data[].descriptionstringDescription
data[].externalCreatedAtstringExternal created at
data[].externalCreatorarrayExternal creator
data[].favoritesarrayFavorites
data[].healthCategorystringHealth category
data[].healthScoreintegerHealth score
data[].idintegerUnique opportunity identifier
data[].mapLinkstringMap link
data[].mapNextStepsstringMap next steps
data[].mapNumberOfOverdueTasksintegerMap number of overdue tasks
data[].mapStatusstringMap status
data[].namestringName
data[].nextStepstringNext step
data[].opportunityHealthFactorsarrayOpportunity health factors
data[].opportunityStagearrayOpportunity stage
data[].opportunityTypestringOpportunity type
data[].ownerarrayOwner
data[].primaryProspectarrayPrimary prospect
data[].probabilityintegerProbability
data[].prospectingRepIdstringProspecting rep id
data[].prospectsarrayProspects
data[].sharingTeamIdstringSharing team id
data[].stagearrayStage
data[].tagsarrayTags
data[].touchedAtstringTouched at
data[].updatedAtstringUpdated at
data[].updaterarrayUpdater

Opportunities Context Store SQL Query​

Run a SQL query against opportunities records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "opportunities",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.opportunities.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "opportunities",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Calls​

Calls List​

Returns a paginated list of calls

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "calls",
"action": "list"
}'

Python SDK​

await outreach.calls.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "calls",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Calls Get​

Get a single call by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "calls",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.calls.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "calls",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesCall ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter calls records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "calls",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"answeredAt": "<str>"
}
}
}
}
}'

Python SDK​

await outreach.calls.context_store_search(
query={"filter": {"eq": {"answeredAt": "<str>"}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "calls",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"answeredAt": "<str>"}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
answeredAtstringAnswered at
batchesarrayBatches
callDispositionarrayCall disposition
callPurposearrayCall purpose
completedAtstringCompleted at
createdAtstringCreated at
dialedAtstringDialed at
directionstringDirection
externalVendorstringExternal vendor
fromstringFrom
idintegerUnique call identifier
notestringNote
opportunityarrayOpportunity
outboundVoicemailarrayOutbound voicemail
outcomestringOutcome
phonearrayPhone
phoneNumberarrayPhone number
prospectarrayProspect
recordingDeletionReasonstringRecording deletion reason
recordingUrlstringRecording url
returnedAtstringReturned at
sequencearraySequence
sequenceActionstringSequence action
sequenceStatearraySequence state
sequenceSteparraySequence step
shouldRecordCallbooleanShould record call
statestringState
stateChangedAtstringState changed at
tagsarrayTags
taskarrayTask
tostringTo
uidstringUid
updatedAtstringUpdated at
userarrayUser
userCallTypestringUser call type
vendorCallIdstringVendor call id
voicemailRecordingUrlstringVoicemail recording url
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].answeredAtstringAnswered at
data[].batchesarrayBatches
data[].callDispositionarrayCall disposition
data[].callPurposearrayCall purpose
data[].completedAtstringCompleted at
data[].createdAtstringCreated at
data[].dialedAtstringDialed at
data[].directionstringDirection
data[].externalVendorstringExternal vendor
data[].fromstringFrom
data[].idintegerUnique call identifier
data[].notestringNote
data[].opportunityarrayOpportunity
data[].outboundVoicemailarrayOutbound voicemail
data[].outcomestringOutcome
data[].phonearrayPhone
data[].phoneNumberarrayPhone number
data[].prospectarrayProspect
data[].recordingDeletionReasonstringRecording deletion reason
data[].recordingUrlstringRecording url
data[].returnedAtstringReturned at
data[].sequencearraySequence
data[].sequenceActionstringSequence action
data[].sequenceStatearraySequence state
data[].sequenceSteparraySequence step
data[].shouldRecordCallbooleanShould record call
data[].statestringState
data[].stateChangedAtstringState changed at
data[].tagsarrayTags
data[].taskarrayTask
data[].tostringTo
data[].uidstringUid
data[].updatedAtstringUpdated at
data[].userarrayUser
data[].userCallTypestringUser call type
data[].vendorCallIdstringVendor call id
data[].voicemailRecordingUrlstringVoicemail recording url

Calls Context Store SQL Query​

Run a SQL query against calls records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "calls",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.calls.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "calls",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Call Dispositions​

Call Dispositions List​

Returns a paginated list of call dispositions

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "call_dispositions",
"action": "list"
}'

Python SDK​

await outreach.call_dispositions.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "call_dispositions",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Call Dispositions Get​

Get a single call disposition by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "call_dispositions",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.call_dispositions.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "call_dispositions",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesCall Disposition ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter call dispositions records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "call_dispositions",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"calls": []
}
}
}
}
}'

Python SDK​

await outreach.call_dispositions.context_store_search(
query={"filter": {"eq": {"calls": []}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "call_dispositions",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"calls": []}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
callsarrayCalls
createdAtstringCreated at
creatorarrayCreator
defaultForOutboundVoicemailbooleanDefault for outbound voicemail
idintegerUnique call disposition identifier
namestringName
orderintegerOrder
outcomestringOutcome
updatedAtstringUpdated at
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].callsarrayCalls
data[].createdAtstringCreated at
data[].creatorarrayCreator
data[].defaultForOutboundVoicemailbooleanDefault for outbound voicemail
data[].idintegerUnique call disposition identifier
data[].namestringName
data[].orderintegerOrder
data[].outcomestringOutcome
data[].updatedAtstringUpdated at

Call Dispositions Context Store SQL Query​

Run a SQL query against call dispositions records in the Airbyte Context Store. SQL projections may return any set of columns, so each result row is a dictionary matching the query's selected fields. Only available in hosted mode.

Use the hosted server documentation to find the qualified Context Store table name and SQL guidance.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "call_dispositions",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Python SDK​

await outreach.call_dispositions.context_store_sql_query(
sql="SELECT * FROM <qualified_context_store_table> LIMIT 100"
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "call_dispositions",
"action": "context_store_sql_query",
"params": {
"sql": "SELECT * FROM <qualified_context_store_table> LIMIT 100"
}
}'

Parameters​

Parameter NameTypeRequiredDescription
sqlstringYesSQL query to execute against this entity's Context Store data
limitintegerNoMaximum results to return
Response Schema
Field NameTypeDescription
dataarrayProjected rows, with dictionary keys matching the selected columns
metaobjectQuery metadata
meta.has_morebooleanWhether the result was limited and more rows are available
meta.cursornullSQL query results do not use cursor pagination
meta.took_msnumber | nullQuery execution time in milliseconds

Call Purposes​

Call Purposes List​

Returns a paginated list of call purposes

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "call_purposes",
"action": "list"
}'

Python SDK​

await outreach.call_purposes.list()

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "call_purposes",
"action": "list"
}'

Parameters​

Parameter NameTypeRequiredDescription
page[size]integerNoNumber of items per page
sortstringNoSort field
countstringNoInclude count
page[after]stringNoCursor for the next page; use the page[after] value from meta.next_link
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Meta​

Field NameTypeDescription
next_linknull | string

Call Purposes Get​

Get a single call purpose by ID

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "call_purposes",
"action": "get",
"params": {
"id": 0
}
}'

Python SDK​

await outreach.call_purposes.get(
id=0
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "call_purposes",
"action": "get",
"params": {
"id": 0
}
}'

Parameters​

Parameter NameTypeRequiredDescription
idintegerYesCall Purpose ID
Response Schema

Records​

Field NameTypeDescription
idinteger
typenull | string
attributesobject
relationshipsnull | object
linksobject

Search and filter call purposes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

CLI​

airbyte-agent connectors execute --json '{
"workspace": "<your_workspace_name>",
"name": "outreach",
"entity": "call_purposes",
"action": "context_store_search",
"params": {
"query": {
"filter": {
"eq": {
"calls": []
}
}
}
}
}'

Python SDK​

await outreach.call_purposes.context_store_search(
query={"filter": {"eq": {"calls": []}}}
)

API​

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "call_purposes",
"action": "context_store_search",
"params": {
"query": {"filter": {"eq": {"calls": []}}}
}
}'

Parameters​

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, startswith, endswith, contains, array_contains, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields​

Field NameTypeDescription
callsarrayCalls
createdAtstringCreated at
creatorarrayCreator
idintegerUnique call purpose identifier
namestringName
orderintegerOrder
updatedAtstringUpdated at
Response Schema
Field NameTypeDescription
[...]
